pcl::device::kinfuLS::Eigen33 Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/src/cuda/utils.hpp>`

## Classes

struct | MiniMat

## Public Types

typedef MiniMat< 3 > | Mat33
typedef MiniMat< 4 > | Mat43

## Public Member Functions

__device__ __forceinline__ | Eigen33 (volatile float *mat_pkg_arg)
__device__ __forceinline__ void | compute (Mat33 &tmp, Mat33 &vec_tmp, Mat33 &evecs, float3 &evals)

## Static Public Member Functions

static __forceinline__ __device__ float3 | unitOrthogonal (const float3 &src)

## Detailed Description

Definition at line 193 of file utils.hpp.

## Member Typedef Documentation

## Mat33

typedef MiniMat<3> pcl::device::kinfuLS::Eigen33::Mat33

Definition at line 203 of file utils.hpp.

## Mat43

typedef MiniMat<4> pcl::device::kinfuLS::Eigen33::Mat43

Definition at line 204 of file utils.hpp.

## Constructor & Destructor Documentation

## Eigen33()

__device__ __forceinline__ pcl::device::kinfuLS::Eigen33::Eigen33 | ( | volatile float * | mat_pkg_arg | ) |

inline

Definition at line 241 of file utils.hpp.

## Member Function Documentation

## compute()

__device__ __forceinline__ void pcl::device::kinfuLS::Eigen33::compute | ( | Mat33 & | tmp,
|  | Mat33 & | vec_tmp,
|  | Mat33 & | evecs,
|  | float3 & | evals
| ) |  |

inline

Definition at line 243 of file utils.hpp.

References pcl::device::kinfuLS::computeRoots3(), pcl::device::kinfuLS::cross(), pcl::device::kinfuLS::dot(), pcl::device::numeric_limits< T >::epsilon(), and pcl::device::kinfuLS::normalized().

## unitOrthogonal()

static __forceinline__ __device__ float3 pcl::device::kinfuLS::Eigen33::unitOrthogonal | ( | const float3 & | src | ) |

inline static

Definition at line 208 of file utils.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/src/cuda/utils.hpp